﻿// Author : Seb Lee-Delisle
// Blog : www.sebleedelisle.com
// Company : www.pluginmedia.net
//
// This work is licensed under a Creative Commons  2.0 License.

// Full details at 
// http://creativecommons.org/licenses/by/2.0/uk/

// You may re-use this code as you wish, but a credit would be 
// appreciated. And I'd love to see what you do with it! 
// mail me : sebleedelisle@gmail.com
package
{
	import flash.display.*; 
	
	public class Particle
	{	
		public var clip : DisplayObject;
		
		public var xVel : Number = 0; 
		public var yVel : Number = 0;
		
		
		// This is the constructor, a special function used to create this particle object.
		
		public function Particle(symbolclass : Class, target : DisplayObjectContainer, 
								   xpos : Number, ypos : Number)
		{
			// make the particle clip
			clip = new symbolclass();
			
			// add it to the target (usually the stage)
			target.addChild(clip); 
			
			// and move it to its starting position
			clip.x = xpos; 
			clip.y = ypos; 
			
			
		}
		
		
	}
	
	
}